SDXFrameWork 0.13 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | Protected Attributes | List of all members
SDX::IPosition Class Referenceabstract

位置と方向を持つクラスのインターフェース. More...

`#include <IPosition.h>`

Inherited by SDX::IModel, and SDX::IShape.

## Public Member Functions
virtual void | SetPos (double X座標, double Y座標)=0
| 指定座標に移動. More...
virtual void | MultiZoom (double X倍率, double Y倍率)=0
| 縦横別で拡大率を掛け算する. More...
void | SetZoom (double X拡大率, double Y拡大率)
| 拡大率を設定. More...
void | MultiZoom (double 倍率)
| 拡大率を掛け算する. More...
virtual void | Move (double X移動量, double Y移動量)=0
| 相対座標で移動. More...
void | MoveA (double 距離, double 方向)
| 極座標で移動. More...
void | MoveF (double 距離)
| 前方に移動. More...
virtual void | Rotate (double 回転する角度)=0
| 回転する. More...
virtual double | GetAngle () const
| 角度を取得する. More...
void | SetAngle (double 指定角度)
| 角度を指定する. More...
double | GetDirect (IPosition *比較対象) const
| 対象との角度を取得. More...
double | GetDistance (const IPosition *比較対象) const
| 対象との相対座標を取得. More...
virtual double | GetX () const =0
| X座標を取得. More...
virtual double | GetY () const =0
| Y座標を取得. More...
virtual double | GetW () const =0
| 幅を取得. More...
virtual double | GetH () const =0
| 高さを取得. More...
virtual void | SetPos (double X座標, double Y座標)=0
| 指定座標に移動. More...
virtual void | MultiZoom (double X倍率, double Y倍率)=0
| 縦横別で拡大率を掛け算する. More...
virtual void | SetZoom (double X拡大率, double Y拡大率)
| 拡大率を設定. More...
void | MultiZoom (double 倍率)
| 拡大率を掛け算する. More...
virtual void | Move (double X移動量, double Y移動量)=0
| 相対座標で移動. More...
void | MoveA (double 距離, double 方向)
| 極座標で移動. More...
virtual void | Rotate (double 回転する角度)=0
| 回転する. More...
virtual double | GetAngle () const
| 角度を取得する. More...
virtual void | SetAngle (double 指定角度)
| 角度を指定する. More...
double | GetDirect (IPosition *比較対象) const
| 対象との角度を取得. More...
double | GetDistance (IPosition *比較対象) const
| 対象との相対座標を取得. More...
double | CompareAngle (double 角度)
| 角度の差を計算する
virtual double | GetX () const =0
| X座標を取得. More...
virtual double | GetY () const =0
| Y座標を取得. More...
virtual double | GetW () const =0
| 幅を取得. More...
virtual double | GetH () const =0
| 高さを取得. More...

## Protected Attributes
double | zoomX = 1
| 図形の拡大率
double | zoomY = 1
| 図形の拡大率

## Detailed Description

位置と方向を持つクラスのインターフェース.

## Member Function Documentation

virtual void SDX::IPosition::SetPos | ( | double | X座標,
|  | double | Y座標
| ) |  |
| pure virtual

指定座標に移動.

Implemented in SDX::Line, SDX::IModel, SDX::Rect, SDX::Point, SDX::Complex, and SDX::Circle.

virtual void SDX::IPosition::MultiZoom | ( | double | X倍率,
|  | double | Y倍率
| ) |  |
| pure virtual

縦横別で拡大率を掛け算する.

Implemented in SDX::Line, SDX::IModel, SDX::Point, SDX::Complex, SDX::Rect, and SDX::Circle.

void SDX::IPosition::SetZoom | ( | double | X拡大率,
|  | double | Y拡大率
| ) |  |
| inline

拡大率を設定.

void SDX::IPosition::MultiZoom | ( | double | 倍率 | ) |
| inline

拡大率を掛け算する.

virtual void SDX::IPosition::Move | ( | double | X移動量,
|  | double | Y移動量
| ) |  |
| pure virtual

相対座標で移動.

Implemented in SDX::Line, SDX::IModel, SDX::Rect, SDX::Circle, SDX::Point, and SDX::Complex.

void SDX::IPosition::MoveA | ( | double | 距離,
|  | double | 方向
| ) |  |
| inline

極座標で移動.

void SDX::IPosition::MoveF | ( | double | 距離 | ) |
| inline

前方に移動.

virtual void SDX::IPosition::Rotate | ( | double | 回転する角度 | ) |
| pure virtual

回転する.

Implemented in SDX::Line, SDX::IModel, SDX::Complex, SDX::Rect, SDX::Point, and SDX::Circle.

virtual double SDX::IPosition::GetAngle | ( |  | ) | const
| inline virtual

角度を取得する.

Reimplemented in SDX::Line, and SDX::IModel.

void SDX::IPosition::SetAngle | ( | double | 指定角度 | ) |
| inline

角度を指定する.

double SDX::IPosition::GetDirect | ( | IPosition * | 比較対象 | ) | const
| inline

対象との角度を取得.

double SDX::IPosition::GetDistance | ( | const IPosition * | 比較対象 | ) | const
| inline

対象との相対座標を取得.

virtual double SDX::IPosition::GetX | ( |  | ) | const
| pure virtual

X座標を取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.

virtual double SDX::IPosition::GetY | ( |  | ) | const
| pure virtual

Y座標を取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.

virtual double SDX::IPosition::GetW | ( |  | ) | const
| pure virtual

幅を取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.

virtual double SDX::IPosition::GetH | ( |  | ) | const
| pure virtual

高さを取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.

virtual void SDX::IPosition::SetPos | ( | double | X座標,
|  | double | Y座標
| ) |  |
| pure virtual

指定座標に移動.

Implemented in SDX::Line, SDX::IModel, SDX::Rect, SDX::Point, SDX::Complex, and SDX::Circle.

virtual void SDX::IPosition::MultiZoom | ( | double | X倍率,
|  | double | Y倍率
| ) |  |
| pure virtual

縦横別で拡大率を掛け算する.

Implemented in SDX::Line, SDX::IModel, SDX::Point, SDX::Complex, SDX::Rect, and SDX::Circle.

virtual void SDX::IPosition::SetZoom | ( | double | X拡大率,
|  | double | Y拡大率
| ) |  |
| inline virtual

拡大率を設定.

void SDX::IPosition::MultiZoom | ( | double | 倍率 | ) |
| inline

拡大率を掛け算する.

virtual void SDX::IPosition::Move | ( | double | X移動量,
|  | double | Y移動量
| ) |  |
| pure virtual

相対座標で移動.

Implemented in SDX::Line, SDX::IModel, SDX::Rect, SDX::Circle, SDX::Point, and SDX::Complex.

void SDX::IPosition::MoveA | ( | double | 距離,
|  | double | 方向
| ) |  |
| inline

極座標で移動.

virtual void SDX::IPosition::Rotate | ( | double | 回転する角度 | ) |
| pure virtual

回転する.

Implemented in SDX::Line, SDX::IModel, SDX::Complex, SDX::Rect, SDX::Point, and SDX::Circle.

virtual double SDX::IPosition::GetAngle | ( |  | ) | const
| inline virtual

角度を取得する.

Reimplemented in SDX::Line, and SDX::IModel.

virtual void SDX::IPosition::SetAngle | ( | double | 指定角度 | ) |
| inline virtual

角度を指定する.

double SDX::IPosition::GetDirect | ( | IPosition * | 比較対象 | ) | const
| inline

対象との角度を取得.

double SDX::IPosition::GetDistance | ( | IPosition * | 比較対象 | ) | const
| inline

対象との相対座標を取得.

virtual double SDX::IPosition::GetX | ( |  | ) | const
| pure virtual

X座標を取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.

virtual double SDX::IPosition::GetY | ( |  | ) | const
| pure virtual

Y座標を取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.

virtual double SDX::IPosition::GetW | ( |  | ) | const
| pure virtual

幅を取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.

virtual double SDX::IPosition::GetH | ( |  | ) | const
| pure virtual

高さを取得.

Implemented in SDX::IModel, SDX::Rect, SDX::Line, SDX::Circle, SDX::Point, and SDX::Complex.